#ifdef        GLOBALS_APP_CAN
    #define   EXTERN_APP_CAN
   
   
   
   
              
#else
    #define   EXTERN_APP_CAN     extern

#endif

#ifndef APP_CAN_H_
#define APP_CAN_H_

       
       EXTERN_APP_CAN  void Format_CAN_Msg();
       EXTERN_APP_CAN  void App_Msg_Copy(CAN_message * CanMessage,INT16U* data);   
       EXTERN_APP_CAN  void App_Can_Proc(void);
       EXTERN_APP_CAN  void Set_CAN_CRC(CAN_message * CanMessage);
       EXTERN_APP_CAN  void Disable_CAN_Tx(void);


#endif /* APP_CAN_H_ */